psftp(1)

NAME

psftp - interactive SFTP (secure file transfer protocol) client

SYNOPSIS

psftp [options] [user@]host

DESCRIPTION

psftp is an interactive text-based client for the SSH-based SFTP (secure file transfer) protocol.

OPTIONS

The command-line options supported by psftp are:

-V  Show version information and exit.

-b batchfile
    Use specified batchfile.

-bc Output batchfile commands.

-be Don't stop batchfile processing on errors.

-v  Show verbose messages.

-load session
    Load settings from saved session.

-P port
    Connect to port port.

-l user
    Set remote username to user.

-batch
    Disable interactive prompts.

-pw password
    Set remote password to password. CAUTION: this will likely make the password visible to other users of the local machine (via commands such as "w").

-1  Force use of SSH protocol version 1.

-2  Force use of SSH protocol version 2.

-C  Enable SSH compression.

-i path
    Private key file for authentication.

COMMANDS

For a list of commands available inside psftp, type help at the psftp> prompt.

MORE INFORMATION

For more information on psftp it's probably best to go and look at the manual on the PuTTY web page:

http://www.chiark.greenend.org.uk/~sgtatham/putty/

BUGS

This man page isn't terribly complete. See the above web link for better documentation.